BitMagic-C++: Data Fields - Functions

BitMagic-C++

### - g -

- gamma() : bm::bit_in< TDecoder > , bm::bit_out< TEncoder >
- gamma_arr_bit_block() : bm::serializer< BV >
- gamma_decoder() : bm::gamma_decoder< T, TBitIO >
- gamma_encoder() : bm::gamma_encoder< T, TBitIO >
- gamma_gap_array() : bm::serializer< BV >
- gamma_gap_bit_block() : bm::serializer< BV >
- gamma_gap_block() : bm::serializer< BV >
- gap_length_serialization() : bm::serializer< BV >
- gap_op_to_bit() : bm::operation_functions< T >
- gap_operation() : bm::operation_functions< T >
- gap_transpose_engine() : bm::gap_transpose_engine< GT, BT, BLOCK_SIZE >
- gather() : bm::sparse_vector< Val, BV >
- get() : bm::bit_grabber< T, BPC > , bm::bit_grabber< unsigned char, 8 > , bm::bit_grabber< unsigned short, 16 > , bm::bit_grabber< unsigned, 32 > , bm::bit_trans_grabber< T, BPC, BPS > , bm::bvps_addr_resolver< BV > , bm::compressed_collection< Value, BV > , bm::interval_enumerator< BV > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE > , bm::sv_addr_resolver< SV >
- get_16() : bm::decoder , bm::decoder_little_endian
- get_24() : bm::decoder , bm::decoder_little_endian
- get_32() : bm::bitblock_get_adapter , bm::decoder , bm::decoder_little_endian , bm::decoder_range_adapter< DEC >
- get_32_AND() : bm::decoder , bm::decoder_little_endian
- get_32_OR() : bm::decoder , bm::decoder_little_endian
- get_48() : bm::decoder , bm::decoder_little_endian
- get_64() : bm::decoder , bm::decoder_little_endian
- get_8() : bm::decoder_base
- get_allocator() : bm::bvector< Alloc >
- get_allocator_pool() : bm::bvector< Alloc >
- get_arg_block() : bm::aggregator< BV >
- get_arr_bit() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_back_inserter() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- get_bit() : bm::bvector< Alloc > , bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_AND() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_ASSIGN() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_COUNT() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_COUNT_A() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_COUNT_AND() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_COUNT_B() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_COUNT_OR() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_COUNT_SUB_AB() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_COUNT_SUB_BA() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_COUNT_XOR() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_OR() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_SUB() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bit_block_XOR() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_bits() : bm::bit_in< TDecoder >
- get_block() : bm::basic_bmatrix< BV >
- get_block_allocator() : bm::mem_alloc< BA, PA, APool >
- get_block_type() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_blocks_manager() : bm::bvector< Alloc >
- get_bmatrix() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >
- get_buf() : bm::bvector_mini< A >
- get_bv() : bm::bv_ref_vector< BV >
- get_bv_zero() : bm::set2set_11_transform< SV >
- get_bvector() : bm::bvector< Alloc >::bulk_insert_iterator , bm::bvector< Alloc >::insert_iterator , bm::bvps_addr_resolver< BV > , bm::sv_addr_resolver< SV >
- get_compression_level() : bm::serializer< BV >
- get_compression_stat() : bm::serializer< BV >
- get_const_iterator() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- get_descr() : bm::xor_scanner< BV >
- get_enumerator() : bm::bvector< Alloc >
- get_first() : bm::bvector< Alloc > , bm::bvector_mini< A > , bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- get_first_idx() : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- get_found_block() : bm::xor_scanner< BV >
- get_gap_block() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_half_octet() : bm::basic_bmatrix< BV >
- get_id() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_id_count() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_inv_arr() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_new_blocks_strat() : bm::bvector< Alloc >
- get_next() : bm::bvector< Alloc > , bm::bvector_mini< A >
- get_null_bvect() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::sparse_vector< Val, BV >::back_insert_iterator
- get_null_bvector() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >
- get_octet() : bm::basic_bmatrix< BV >
- get_operation() : bm::aggregator< BV >
- get_operation_status() : bm::aggregator< BV >
- get_plain() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector_serial_layout< SV >
- get_plains_mask() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- get_pool() : bm::mem_alloc< BA, PA, APool >
- get_pos() : bm::decoder_base , bm::encoder
- get_ptr_allocator() : bm::mem_alloc< BA, PA, APool >
- get_ref_vector() : bm::xor_scanner< BV >
- get_remap_buffer() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- get_row() : bm::basic_bmatrix< BV >
- get_row_idx() : bm::bv_ref_vector< BV >
- get_second() : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- get_second_idx() : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- get_state() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- get_sv() : bm::rsc_sparse_vector< Val, SV >
- get_target() : bm::aggregator< BV >
- get_temp_block() : bm::aggregator< BV >
- get_vector() : sparse_vect_index
- get_x_bc() : bm::xor_scanner< BV >
- get_x_best_metric() : bm::xor_scanner< BV >
- get_x_block_best() : bm::xor_scanner< BV >
- get_x_gc() : bm::xor_scanner< BV >
- get_xor_digest() : bm::xor_scanner< BV >
- GetVector() : DNA_FingerprintScanner
- go_first() : bm::bvector< Alloc >::enumerator
- go_to() : bm::bvector< Alloc >::enumerator , bm::interval_enumerator< BV > , bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::sparse_vector< Val, BV >::const_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator
- go_to_impl() : bm::interval_enumerator< BV >
- go_up() : bm::bvector< Alloc >::enumerator